import React from "react";
import {
  Dialog,
  DialogContent,
  DialogTitle,
  makeStyles
} from "@material-ui/core";

const useStyles = makeStyles(() => ({
  title: {
    backgroundColor: "#0099dc",
    color: "#FFFFFF"
  }
}));

export function LogDialog({ open, setOpen, title, content }) {
  const classes = useStyles();

  const handleClose = () => {
    setOpen(false);
  };

  return (
    <Dialog
      open={open}
      onClose={handleClose}
      fullWidth
      maxWidth="xl"
    >
      <DialogTitle
        id="log-dialog-title"
        className={classes.title}
      >
        {title}
      </DialogTitle>
      <DialogContent>{content}</DialogContent>
    </Dialog>
  );
}
