import { Tooltip, useTheme } from "@material-ui/core";
import { Brightness1, HelpOutline } from "@material-ui/icons";
import React from "react";

export function RecordStatusIcon({ record }) {
  const theme = useTheme();

  const statusBulbColors = {
    active: theme.palette.status.ok,
    inactive: theme.palette.text.disabled,
    null: theme.palette.text.disabled
  };

  const statusBulbIcons = {
    active: (
      <Tooltip title="Active">
        <Brightness1 />
      </Tooltip>
    ),
    inactive: (
      <Tooltip title="Inactive">
        <HelpOutline />
      </Tooltip>
    ),
    null: (
      <Tooltip title="Unknown">
        <HelpOutline />
      </Tooltip>
    )
  };

  let state = record.pvStatus ? record.pvStatus.toLowerCase() : null;

  const iconStyle = { fill: statusBulbColors[state] };
  const icon = React.cloneElement(statusBulbIcons[state], { style: iconStyle });

  return icon;
}
