import React from "react";
import { PrimeKeyValueTable } from "../../common/PrimeKeyValueTable/PrimeKeyValueTable";
import { useStatistics } from "../../../api/SwaggerApi";

export function HostStatistics() {
  const [hostsRegistered] = useStatistics("HOSTS_REGISTERED");
  const [hostsWithIocs] = useStatistics("HOSTS_WITH_IOCS");
  const [hostsReachable] = useStatistics("HOSTS_REACHABLE");
  const [hostsWithoutIssues] = useStatistics("HOSTS_WITHOUT_ISSUE");

  let hostStats = {
    "Registered IOC-hosts": hostsRegistered?.value,
    "IOC-hosts with IOCs": hostsWithIocs?.value,
    "Reachable IOC-hosts with IOCs": hostsReachable?.value,
    "Issue free IOC-hosts with IOCs": hostsWithoutIssues?.value
  };

  if (
    hostsRegistered ||
    hostsWithIocs ||
    hostsReachable ||
    hostsWithoutIssues
  ) {
    hostStats = {
      "Registered IOC-hosts": hostsRegistered?.value,
      "IOC-hosts with IOCs": hostsWithIocs?.value,
      "Reachable IOC-hosts with IOCs": hostsReachable?.value,
      "Issue free IOC-hosts with IOCs": hostsWithoutIssues?.value
    };
  }

  return (
    <PrimeKeyValueTable
      obj={hostStats}
      labels={["Host statistics"]}
    />
  );
}
