import React from "react";
import { PrimeKeyValueTable } from "../../common/PrimeKeyValueTable/PrimeKeyValueTable";
import { useStatistics } from "../../../api/SwaggerApi";

export function IOCStatistics() {
  const [iocsRegistered] = useStatistics("IOCS_REGISTERED");
  const [iocsDeployed] = useStatistics("IOCS_DEPLOYED");
  const [iocsReachable] = useStatistics("IOCS_RUNNING");
  const [iocsWithoutIssues] = useStatistics("IOCS_RUNNING_WITHOUT_ISSUE");

  let iocStats = {
    "Registered IOCs": iocsRegistered?.value,
    "Deployed IOCs": iocsDeployed?.value,
    "Running IOCs": iocsReachable?.value,
    "Issue-free and running IOCs": iocsWithoutIssues?.value
  };

  if (iocsRegistered || iocsDeployed || iocsReachable || iocsWithoutIssues) {
    iocStats = {
      "Registered IOCs": iocsRegistered?.value,
      "Deployed IOCs": iocsDeployed?.value,
      "Running IOCs": iocsReachable?.value,
      "Issue-free and running IOCs": iocsWithoutIssues?.value
    };
  }

  return (
    <PrimeKeyValueTable
      obj={iocStats}
      labels={["IOC statistics"]}
    />
  );
}
