import React from "react";
import { IOCTable } from "../../../../components/IOC/IOCTable";
import { Container } from "@material-ui/core";
import iocs from "../../../../mocks/fixtures/PagedIOCResponse.json";
import asyncCombinedIOCs from "../../../../mocks/fixtures/AsyncCombinedIOCs.json";
import { RouterHarness } from "../../../../mocks/AppHarness";
import { disabledTable } from "../../../utils/common-args";

export default {
  title: "IOC/IOCTable",
  argTypes: {
    rowType: {
      options: ["explore", "own", "host"],
      control: { type: "radio" }
    },
    iocs: disabledTable,
    totalCount: disabledTable,
    rowsPerPage: disabledTable,
    lazyParams: disabledTable,
    columnSort: disabledTable,
    setLazyParams: disabledTable,
    setColumnSort: disabledTable
  }
};

const Template = (args) => (
  <RouterHarness>
    <Container>
      <IOCTable {...args} />
    </Container>
  </RouterHarness>
);

export const Empty = (args) => <Template {...args} />;

Empty.args = {
  rowType: "explore",
  loading: false,
  iocs: [],
  paginator: true,
  totalCount: 0,
  rowsPerPage: [5, 10, 20, 50, 100],
  lazyParams: { rows: 10, page: 0 },
  columnSort: { sortField: null, sortOrder: null },
  setLazyParams: () => {},
  setColumnSort: () => {}
};

export const EmptyLoading = (args) => <Template {...args} />;

EmptyLoading.args = {
  ...Empty.args,
  loading: true
};

export const BeforeAsync = (args) => <Template {...args} />;

BeforeAsync.args = {
  ...Empty.args,
  totalCount: iocs.totalCount,
  iocs: iocs.iocList
};

BeforeAsync.argTypes = {
  loading: disabledTable
};

export const AfterAsync = (args) => <Template {...args} />;

AfterAsync.args = {
  ...BeforeAsync.args,
  iocs: asyncCombinedIOCs
};
