import React from "react";
import { Container, ThemeProvider } from "@material-ui/core";
import { theme } from "../../../../style/Theme";
import { PrimeKeyValueTable } from "../../../../components/common/PrimeKeyValueTable/PrimeKeyValueTable";
import { disabledTable } from "../../../utils/common-args";

export default {
  title: "Common/PrimeKeyValueTable"
};

const Template = (args) => (
  <ThemeProvider theme={theme}>
    <Container>
      <PrimeKeyValueTable {...args} />
    </Container>
  </ThemeProvider>
);

export const Example = (args) => <Template {...args} />;

Example.args = {
  obj: { "The first statistic": 102, "The second statistic": 7.6 },
  labels: ["External Statistics"],
  valueWidth: "15ch"
};

Example.argTypes = {
  obj: disabledTable,
  labels: disabledTable,
  valueWidth: disabledTable
};
