import React, { useState } from "react";
import { HostDetailsView } from "./HostDetailsView";
import { LinearProgress } from "@material-ui/core";
import { useHost } from "../../api/SwaggerApi";
import { onFetchEntityError } from "../../components/common/Helper";
import NotFound from "../../components/navigation/NotFound";

export function HostDetailsContainer({ id }) {
  const [notFoundError, setNotFoundError] = useState();
  const [host] = useHost(id, (m, s) =>
    onFetchEntityError(m, s, setNotFoundError)
  );

  return (
    <>
      {notFoundError ? (
        <NotFound message={notFoundError} />
      ) : host ? (
        <HostDetailsView
          host={host}
          id={id}
        />
      ) : (
        <LinearProgress color="primary" />
      )}
    </>
  );
}
