import React, { useEffect } from "react";
import { IconButton, Paper } from "@material-ui/core";
import { JobDetails } from "../../components/Job/JobDetails";
import ArrowBackIcon from "@material-ui/icons/ArrowBack";
import { useNavigate } from "react-router-dom";
import { useGlobalAppBar } from "../../components/navigation/GlobalAppBar/GlobalAppBar";

export function JobDetailsView({ operation, job }) {
  const navigate = useNavigate();

  const handleClick = () => {
    navigate(-1);
  };

  const { setTitle } = useGlobalAppBar("Job Details");

  useEffect(() => {
    operation && setTitle("Job Details: " + operation.iocName);
  }, [operation, setTitle]);

  return (
    <Paper>
      <IconButton
        color="inherit"
        onClick={handleClick}
      >
        <ArrowBackIcon />
      </IconButton>
      {operation && (
        <JobDetails
          operation={operation}
          job={job}
        />
      )}
    </Paper>
  );
}
